> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create compliance alert



## OpenAPI

````yaml /openapi.json post /compliance/alerts
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/alerts:
    post:
      tags:
        - compliance
      summary: Create compliance alert
      operationId: ComplianceController_createAlert
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAlertInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAlertOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CheckNotFoundErrorDto'
              examples:
                CHECK_NOT_FOUND:
                  $ref: '#/components/schemas/CheckNotFoundErrorDto'
          description: ''
components:
  schemas:
    CreateAlertInputBody:
      type: object
      properties:
        checkId:
          type: string
        acknowledged:
          type: boolean
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
        entityId:
          type: string
      required:
        - checkId
        - acknowledged
        - entityId
    CreateAlertOutput:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        checkId:
          type: string
        createdAt:
          format: date-time
          type: string
        acknowledged:
          type: boolean
        acknowledgedAt:
          format: date-time
          type: string
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
      required:
        - type
        - id
        - checkId
        - createdAt
        - acknowledged
    CheckNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CHECK_NOT_FOUND
        message:
          type: string
          example: Check not found {checkId} for tenant {tenantId}
        details:
          $ref: '#/components/schemas/CheckNotFoundDto'
      required:
        - code
        - message
        - details
    ComplianceDataItem:
      type: object
      properties:
        lists:
          type: array
          items:
            type: string
        comment:
          type: string
        externalId:
          type: string
        rawdata:
          type: array
          items:
            type: object
      required:
        - lists
    CheckNotFoundDto:
      type: object
      properties:
        checkId:
          type: string
        tenantId:
          type: string
        alertId:
          type: string
      required:
        - checkId
        - tenantId

````